Subject: bug#43678: 27.1; compiler warning if code forgets to require cl-lib

From: "Roland Winkler" <[email-masked]>
Date: Mon, 28 Sep 2020 22:31:25 +0200

On Mon Sep 28 2020 Stefan Monnier wrote:
> I'm not sure what would be a good error message.
> Maybe something like "`cl-progv` defined too late"?

This is a tough question in the sense that presumably this error
message should never appear in the first place.  Could it make sense
that the error message mentioned something like "cl-lib may have
been loaded too late"?  What other scenarios besides not requiring
cl-lib can possibly be the ultimate cause of this error message so
that this message can give the user some hint how to solve this
problem?